using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using Autofac;
using Ion.Sdk.DemoApp.Framework;

namespace Ion.Sdk.DemoApp.Views.Converters
{
    public class ViewInfoToViewConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is IAppViewInfo viewInfo)
            {
                return App.BeginLifetimeScope().ResolveNamed<IAppView>(viewInfo.Id);
            }

            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
